## net.i2p.router.transport.udp
Class UDPPacketReader.RelayRequestReader

    java.lang.Object
      net.i2p.router.transport.udp.UDPPacketReader.RelayRequestReader

Enclosing class:
  UDPPacketReader

    public class UDPPacketReader.RelayRequestReader

extends java.lang.Object

Help read the RelayRequest payload

Constructor Summary
`UDPPacketReader.RelayRequestReader()`

Method Summary
`void` `readAliceIntroKey(byte[] target, int targetOffset)`
`int` `readChallengeSize()`
`void` `readChallengeSize(byte[] target, int targetOffset)`
`void` `readIP(byte[] target, int targetOffset)` what IP Alice is reachable on
`int` `readIPSize()`
`long` `readNonce()`
`int` `readPort()`
`long` `readTag()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDPPacketReader.RelayRequestReader

    public UDPPacketReader.RelayRequestReader()

Method Detail

### readTag

    public long readTag()

### readIPSize

    public int readIPSize()

### readIP

    public void readIP(byte[] target,
                       int targetOffset)

  what IP Alice is reachable on

### readPort

    public int readPort()

### readChallengeSize

    public int readChallengeSize()

### readChallengeSize

    public void readChallengeSize(byte[] target,
                                  int targetOffset)

### readAliceIntroKey

    public void readAliceIntroKey(byte[] target,
                                  int targetOffset)

### readNonce

    public long readNonce()